Main Page | Modules | Data Structures | Directories | File List | Data Fields | Globals | Related Pages

# poptK.c File Reference

Popt tables for signature modes. More...

`#include "system.h"`
`#include <rpmcli.h>`
`#include "debug.h"`

Go to the source code of this file.

## Defines
#define | POPT_ADDSIGN -1005
#define | POPT_RESIGN -1006
## Functions
static void | signArgCallback (poptContext con, enum poptCallbackReason reason, const struct poptOption *opt, const char *arg, const void *data)
## Variables
rpmSignArguments_s | rpmKArgs
poptOption | rpmSignPoptTable []

## Detailed Description

Popt tables for signature modes.

Definition in file poptK.c.

## Define Documentation

#define POPT_ADDSIGN -1005

| Definition at line 16 of file poptK.c. Referenced by signArgCallback().

#define POPT_RESIGN -1006

| Definition at line 17 of file poptK.c. Referenced by signArgCallback().

## Function Documentation

static void signArgCallback | ( | poptContext | con,
|  | enum poptCallbackReason | reason,
|  | const struct poptOption * | opt,
|  | const char * | arg,
|  | const void * | data
| ) | `[static]`

| Definition at line 21 of file poptK.c. References rpmSignArguments_s::addSign, POPT_ADDSIGN, POPT_RESIGN, RESIGN_ADD_SIGNATURE, RESIGN_CHK_SIGNATURE, RESIGN_NEW_SIGNATURE, rpmKArgs, and rpmSignArguments_s::sign.